##
# 
# send.py
# 
# Copyright (c) 2006 Scue
# 
# www.scue.co.uk (www.scue.co.uk/widgets/)
# info@scue.co.uk
# developer: aidan kane (aidan@scue.co.uk)
# 
# see LICENSE for details of the license
# 
##

import sys, smtplib, base64, StringIO, os, string, time, socket

def prompt(prompt):
    return raw_input(prompt).strip()


# collect the details from the user
mailhost = prompt("mailhost:")
port = prompt("port:")
usessl = prompt("use ssl:")
username = prompt("username:")
password = prompt("password:")
fromAddress = prompt("from:")
toAddress  = prompt("to:").split()
subject = prompt("subject:")

message = ""
while 1:
    try:
        line = raw_input()
    except EOFError:
        break
    message = message + line + "\r\n"

smtp_userid64 = base64.encodestring(username)
smtp_pass64 = base64.encodestring(password)

# compile the message
msg = ("From: %s\r\nTo: %s\r\nSubject: %s\r\n\r\n%s" % (fromAddress, ", ".join(toAddress), subject, message))

# print "Message length is " + repr(len(msg))

# send the mail
if port == "":
	smtp = smtplib.SMTP(mailhost)
else:
	smtp = smtplib.SMTP(mailhost, port, socket.gethostname())
(responsecode, responsestring) = smtp.ehlo("DashMail")

if responsecode <> 250:
	# go for the oldskool
	smtp.helo("DashMail")
	smtp.sendmail(fromAddress, toAddress, msg)
else:
	if usessl == "true":
		smtp.starttls()
		(responsecode, responsestring) = smtp.ehlo("DashMail")
	if username <> "":# && password <> "":
		smtp.docmd("auth", "login " + smtp_userid64[:-1])
		smtp.docmd(smtp_pass64[:-1])
	smtp.sendmail(fromAddress, toAddress, msg)

# output some sort of positive/negative response
print "\r\nsend ok"
